/* Licensed to Stichting The Commons Conservancy (TCC) under one or more
 * contributor license agreements.  See the AUTHORS file distributed with
 * this work for additional information regarding copyright ownership.
 * TCC licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include <gtk/gtk.h>

#include "signtext.h"

#ifndef MESSAGE_H
#define MESSAGE_H

void
message_receive(SignTextData *signtext);

//void
//message_send(SignTextData *signtext, JsonNode *root);

void
message_send_error(SignTextInstance *instance, gchar *error);

void
message_send_boolean_response(SignTextInstance *instance, gboolean response);

void
message_send_string_response(SignTextInstance *instance, gchar *response);

#endif

